org.icefaces.ace.component.simpleselectonemenu

## Interface ISimpleSelectOneMenu

- All Known Implementing Classes:
    SimpleSelectOneMenu, SimpleSelectOneMenuBase

      public interface ISimpleSelectOneMenu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getDir()`
    `java.lang.String` | `getIndicatorPosition()`
    `java.util.List` | `getItemList()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLabelPosition()`
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getOptionalIndicator()`
    `java.lang.String` | `getRequiredIndicator()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isDisabled()`
    `boolean` | `isReadonly()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setDir(java.lang.String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)`
    `void` | `setItemList(java.util.List itemList)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setLabelPosition(java.lang.String labelPosition)`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabindex(java.lang.String tabindex)`
    `void` | `setTitle(java.lang.String title)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setDir

          void setDir(java.lang.String dir)

    - #### getDir

          java.lang.String getDir()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setIndicatorPosition

          void setIndicatorPosition(java.lang.String indicatorPosition)

    - #### getIndicatorPosition

          java.lang.String getIndicatorPosition()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setLabelPosition

          void setLabelPosition(java.lang.String labelPosition)

    - #### getLabelPosition

          java.lang.String getLabelPosition()

    - #### setLang

          void setLang(java.lang.String lang)

    - #### getLang

          java.lang.String getLang()

    - #### setOptionalIndicator

          void setOptionalIndicator(java.lang.String optionalIndicator)

    - #### getOptionalIndicator

          java.lang.String getOptionalIndicator()

    - #### setReadonly

          void setReadonly(boolean readonly)

    - #### isReadonly

          boolean isReadonly()

    - #### setRequiredIndicator

          void setRequiredIndicator(java.lang.String requiredIndicator)

    - #### getRequiredIndicator

          java.lang.String getRequiredIndicator()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabindex

          void setTabindex(java.lang.String tabindex)

    - #### getTabindex

          java.lang.String getTabindex()

    - #### setTitle

          void setTitle(java.lang.String title)

    - #### getTitle

          java.lang.String getTitle()

    - #### setItemList

          void setItemList(java.util.List itemList)

    - #### getItemList

          java.util.List getItemList()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.